View Issue Details

IDProjectCategoryView StatusLast Update
14517Bug reports[All Projects] Central participant databasepublic2019-05-29 16:39
ReportercdorinAssigned Top_teichmann 
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.17.x 
Summary14517: CPDB - delete shared participants
Description

Deleting shared participants can prove to be quite painful. See screenshots.

Only the third delete option is working atm.

Steps To Reproduce

Grant user all the CPDB rights
Share with that user some participants
Put the user to delete some participants
Check every delete option and see which one is working and which one is not (the first one does not work; the second one is broken - see [[14516]], the third one works)

TagsNo tags attached.
Complete LimeSurvey version number (& build)irrelevant
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionirrelevant
Server OS (if known)
Webserver software & version (if known)
PHP Versionirrelevant

Relationships

related to 14060 closedp_teichmann Deleting a participant and associated surveys and all associated responses from CPDB not working 

Activities

cdorin

cdorin

2019-02-11 13:22

manager  

Selection_735.png (111,324 bytes)
Selection_736.png (75,048 bytes)
Selection_736.png (75,048 bytes)
Selection_737.png (123,432 bytes)
Selection_738.png (61,972 bytes)
Selection_738.png (61,972 bytes)
p_teichmann

p_teichmann

2019-05-21 10:18

administrator   ~52003

part of fix for 14060 https://github.com/LimeSurvey/LimeSurvey/commit/8fc6061677fb1edb6127775b516afe039f757161

c_schmitz

c_schmitz

2019-05-29 16:39

administrator   ~52235

Version 3.17.4+190529 released

Issue History

Date Modified Username Field Change
2019-02-11 13:22 cdorin New Issue
2019-02-11 13:22 cdorin Status new => assigned
2019-02-11 13:22 cdorin Assigned To => markusfluer
2019-02-11 13:22 cdorin File Added: Selection_735.png
2019-02-11 13:22 cdorin File Added: Selection_736.png
2019-02-11 13:22 cdorin File Added: Selection_737.png
2019-02-11 13:22 cdorin File Added: Selection_738.png
2019-02-12 16:48 cdorin Priority none => normal
2019-02-12 16:48 cdorin Description Updated View Revisions
2019-02-12 16:48 cdorin Steps to Reproduce Updated View Revisions
2019-04-30 10:22 cdorin Assigned To markusfluer => p_teichmann
2019-05-21 10:16 p_teichmann Relationship added related to 14060
2019-05-21 10:18 p_teichmann Status assigned => resolved
2019-05-21 10:18 p_teichmann Resolution open => fixed
2019-05-21 10:18 p_teichmann Fixed in Version => 3.17.x
2019-05-21 10:18 p_teichmann Note Added: 52003
2019-05-29 16:39 c_schmitz Note Added: 52235
2019-05-29 16:39 c_schmitz Status resolved => closed